Differences between revisions 65 and 66
Revision 65 as of 2004-12-26 00:27:20
Size: 4317
Editor: anonymous
Comment:
Revision 66 as of 2004-12-29 15:33:14
Size: 4317
Editor: anonymous
Comment:
Deletions are marked like this. Additions are marked like this.
Line 63: Line 63:
In Mozilla Internet Suite, the easiest way in Debian is the package ["BlackdownJava"] that installs ["Java"] (JRE) and the Java Mozilla plug-ins. In Mozilla Internet Suite, the easiest way in Debian is the package ["BlackDownJava"] that installs ["Java"] (JRE) and the Java Mozilla plug-ins.

For a better Mozilla Suite-Debian integration go to Edit Preferences Advanced / System preferences and mark Use Preferences from System (see ["MIME"]).

The place where Mozilla is installed is

 /usr/lib/mozilla/mozilla-bin/ and /usr/bin/mozilla 

The user's profile is installed in

 ~/.mozilla/profile_name

 (i.e. /home/user/.mozilla/profile_name; where profile_name is the mozilla user's profile name).

The Mozilla start page (for both Mozilla Web-Browser and Mozilla Firefox ) is in

 /usr/share/doc/mozilla-browser/localstart.html

Plug-ins directory

The mozilla plug-in directory is generally

 /usr/local/mozilla/plugins

If installing plugins without ["root"] permissions, use

 ~/.mozilla/plugins

 (i.e. /home/user/.mozilla/plugins )

instead of the plugins subdirectory where Mozilla is installed. You may have to create this directory first.

Mozilla Firefox also uses the same plugins folder.

For a plug-in, you have to install a .so and .xpt file.

You can change the plug-ins to use the system default, going to Edit Preferences Advanced / Plug-in and script and editing it to indicate the folder where the program is.

Type about:plugins in the mozilla address bar to see the plug-ins installed.

See : http://plugindoc.mozdev.org/en-AU/linux.html

Adobe Acrobat

See how to install Adobe Acrobat in your system.

  • ["Acrobat"]

After installation, copy nppdf.so to your Mozilla plugins directory and ensure a copy of acroread is in your ["path"].

Flash player

See ["FlashPlayer"]

Java

On Linux, Mozilla requires ["JRE"] 1.4.2 or later ( plug-in application/x-java-vm). Remember that the ["SDK"] contains the ["JRE"] so you don't need to download both.

Enable Java in Mozilla

If you use Mozilla ["Firefox"], you have Java enabled by default.

In Mozilla Internet Suite, the easiest way in Debian is the package ["?BlackDownJava"] that installs ["Java"] (JRE) and the Java Mozilla plug-ins.

The more difficult ways is to install ["Java"] (if not really installed) and open the java directory.

  •    1.  Go to the plugins sub-directory under the Mozilla installation directory (generally, plugin/i386/ns610-gcc32/) 

      cd <Mozilla installation directory>/plugins
   2. In the current directory, create a symbolic link to the JRE ns610-gcc32/libjavaplugin_oji.so file Type:
      ln -s <["JREinstallationdirectory"]>/plugin/i386/ns610-gcc32/libjavaplugin_oji.so
      Example:
          * If Mozilla is installed in this directory:
            /usr/lib/mozilla-1.4/
          * and if the JRE is installed at this directory:
            /usr/java/j2re1.4.2_04
          * Then type at the terminal to go to the browser plug-in directory:
            cd /usr/lib/mozilla-1.4/plugins
          * Enter the following command to create a symbolic link to the Java Plug-in for the Mozilla browser.
            ln -s /usr/java/j2re1.4.2_04/plugin/i386/ns610-gcc32
            /libjavaplugin_oji.so .
   3. Start Mozilla browser or restart it if it is already running. Note that if you have other Mozilla components (ie: Messenger, Composer, etc) running, you will need to restart them as well.
   4. Go to Edit > Preferences. Under Advanced category > Select Enable Java
   5. Restart Mozilla. 

See also:

Javascript

  • ?JavaScript

Mozilla browser supports, at least, ?JavaScript version 1.3

See also :

Multimedia

?"MPlayer" has, among others, support for Ogg Vorbis. There is also a browser plugin for Mozilla and Firefox available at http://mplayerplug-in.sourceforge.net/. But you don't really need a Mozilla plug-in, if you use the system default player.